1 2 Previous Next 19 Replies Latest reply on May 16, 2019 11:03 AM by UglyBagofWater

    P2V / Upgrade fail -- "Unable to enumerate and validate the root certificates from the TRUSTED_ROOTS VECS store."

    spoovy Novice

      I'm trying to upgrade from a Windows VCS (6.5) to VCSA (6.7).   Falling at the first hurdle though -- the migration assistant, run on the Windows VCS fails with:

       

      Error: Unable to enumerate and validate the root certificates from the TRUSTED_ROOTS VECS store.

      Resolution: Make sure that the vmafd service is reachable and started before continuing.

       

      The VMware afd service is running though (it runs as a Windows service, "Local System" user).  I have tried the usual, restarting service to no avail.  The service does have "Allow service to interact with desktop" selected. Under the vSphere Web Client / Root Certificates I can see the normal CA cert (VMware Engineering) which is not expired and looks fine.

       

      No idea why this isn't working (I'm not really a Windows guy), so any pointers appreciated.

        1 2 Previous Next